# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'active_hash_ext/version'

Gem::Specification.new do |spec|
  spec.name          = "active_hash_ext"
  spec.version       = ActiveHashExt::VERSION
  spec.authors       = ["Dustin Zeisler"]
  spec.email         = ["dustin@zive.me"]
  spec.description   = %q{This is an extension module to ActiveHash}
  spec.summary       = %q{ActiveHashExt includes the ability to read a schema.rb
                          file from ActiveRecord and set those attributes on a class.
                          It also adds methods from ActiveRecord like update and destroy_all with more to come.}
  spec.homepage      = "https://github.com/zeisler/active_hash_ext"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(spec|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency 'active_hash',  '~>1.2.3'

end
